[sword-devel] Problems to build SVN sword with clucene-core clucene-core-

Greg Hellings greg.hellings at gmail.com
Tue Aug 2 11:55:48 MST 2011

2011/8/2 Matěj Cepl <mcepl at redhat.com>:
> Dne 2.8.2011 14:54, Peter von Kaehne napsal(a):
>> reading the log it appears your clucene is too old?
>> ../src/modules/swmodule.cpp:1321: Warnung: >>static
>> lucene::store::FSDirectory*
>> lucene::store::FSDirectory::getDirectory(const char*, bool,
>> lucene::store::LockFactory*)<< ist veraltet (deklariert bei
>> /home/zefanja/Downloads/clucene_armv7/usr/local/include/CLucene/store/FSDirectory.h:76)
> a) if it so, then ./configure should complain about it,
> b) this is Fedora/Rawhide, if you accuse us of having too old stuff
> (that would be clucene-core- then I don't know for
> which OS sword is built for.

Peter was simply asking - I believe SWORD depends on a version newer
than 0.19 or 0.20 - but once they moved to their 2.x series, SWORD has
lost compatibilty.  The problem is not that your CLucene is too old,
it's that it's too new.  SWORD does not currently support building
against CLucene2. You'll have to find a package for the older versions
of clucene 0.2x to build SWORD or wait for the next release of SWORD
which ought to update itself to account for these changes.


> Matěj
> --
> http://www.ceplovi.cz/matej/, Jabber: mcepl<at>ceplovi.cz
> GPG Finger: 89EF 4BC6 288A BF43 1BAB  25C3 E09F EF25 D964 84AC
> This is a test of the emergency signature system. Were this an
> actual signature, you would see amusing mottos, disclaimers,
> a zillion net addresses, or edifying philosophical statements.
> this is only test.
> _______________________________________________
> sword-devel mailing list: sword-devel at crosswire.org
> http://www.crosswire.org/mailman/listinfo/sword-devel
> Instructions to unsubscribe/change your settings at above page

More information about the sword-devel mailing list